gsup_sms.c File Reference
Generic Subscriber Update Protocol

SMS (Short Message Service) extensions for Osmocom GSUP. More...

`#include <stdint.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/gsm/gsup.h>`
`#include <osmocom/gsm/tlv.h>`

## Functions

int | osmo_gsup_sms_encode_sm_rp_da (struct msgb *msg, const struct osmo_gsup_message *gsup_msg)
| Encode SM-RP-DA IE (see 7.6.8.1), Destination Address. More...
int | osmo_gsup_sms_decode_sm_rp_da (struct osmo_gsup_message *gsup_msg, uint8_t *data, size_t data_len)
| Decode SM-RP-DA IE (see 7.6.8.1), Destination Address. More...
int | osmo_gsup_sms_encode_sm_rp_oa (struct msgb *msg, const struct osmo_gsup_message *gsup_msg)
| Encode SM-RP-OA IE (see 7.6.8.2), Originating Address. More...
int | osmo_gsup_sms_decode_sm_rp_oa (struct osmo_gsup_message *gsup_msg, uint8_t *data, size_t data_len)
| Decode SM-RP-OA IE (see 7.6.8.2), Originating Address. More...

## Detailed Description

SMS (Short Message Service) extensions for Osmocom GSUP.